## AgsPortUtil

AgsPortUtil — port util

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_port_util_load_ladspa_conversion ()
void | ags_port_util_load_lv2_conversion ()
void | ags_port_util_load_vst3_conversion ()
void | ags_port_util_load_audio_unit_conversion ()

## Object Hierarchy

        GBoxed
        ╰── AgsPortUtil

## Includes

    #include <ags/audio/ags_port_util.h>

## Description

Utility functions to deal with AgsPort.

## Functions

### ags_port_util_load_ladspa_conversion ()

    void
    ags_port_util_load_ladspa_conversion (AgsPort *port,
                                          AgsPluginPort *plugin_port);

Loads conversion object by using `plugin_port` and sets in on `port` .

#### Parameters

port | the AgsPort |
plugin_port | the AgsPluginPort |

Since: 3.3.0

### ags_port_util_load_lv2_conversion ()

    void
    ags_port_util_load_lv2_conversion (AgsPort *port,
                                       AgsPluginPort *plugin_port);

Loads conversion object by using `plugin_port` and sets in on `port` .

#### Parameters

port | the AgsPort |
plugin_port | the AgsPluginPort |

Since: 3.3.0

### ags_port_util_load_vst3_conversion ()

    void
    ags_port_util_load_vst3_conversion (AgsPort *port,
                                        AgsPluginPort *plugin_port);

Loads conversion object by using `plugin_port` and sets in on `port` .

#### Parameters

port | the AgsPort |
plugin_port | the AgsPluginPort |

Since: 3.10.5

### ags_port_util_load_audio_unit_conversion ()

    void
    ags_port_util_load_audio_unit_conversion
                                   (AgsPort *port,
                                    AgsPluginPort *plugin_port);

Loads conversion object by using `plugin_port` and sets in on `port` .

#### Parameters

port | the AgsPort |
plugin_port | the AgsPluginPort |

Since: 8.1.2